Subject: [os2genau_digest] No. 1795
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 17 Mar 2009 00:00:56 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 16 March 2009
 Number  1795
**************************************************

Subjects for today
 
1  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?) : Peter Moylan <peter at pmoylan dot org>
2  Re:  Installing ECS 1.2 on a 160Gb Hdd. : Dennis Nolan <dennis at jeg-og dot com>
3  Re:  Installing ECS 1.2 on a 160Gb Hdd. : Mike O'Connor <mikeoc at internode.on dot net>
4  Re:  Installing ECS 1.2 on a 160Gb Hdd. : Dennis Nolan <dennis at jeg-og dot com>
5  Re:  Installing ECS 1.2 on a 160Gb Hdd. : Mike O'Connor <mikeoc at internode.on dot net>
6  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?) : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
7  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?) : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Mon, 16 Mar 2009 00:08:06 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?)

Ed Durrant wrote:
>
>
> By the way, one restriction of Virtual Box OSE (i.e. the free 
> version), whether on a OS/2 or Windoze host is that ONLY one virtual 
> machine can be run at a time. Multiple can run with VPC (and I believe 
> the commercial version of VB - Sun xVM).
This hardly matters. The only way to run multiple virtual machines 
simultaneously is to have much more real memory than any normal person 
could want. With our present economic system, the only people who have 
such luxuries are the sort of people who have to take their shoes off to 
bankrupt a telecommunications company.

(Hmm. That's a metaphor that's at risk of dying. For the younger 
generation, "take their shoes off" is probably a reference to insulting 
George Bush.)

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Mon, 16 Mar 2009 07:47:47 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Installing ECS 1.2 on a 160Gb Hdd.

Hi
Previously I used the computer for OS/2,  Win98 and Linux, each on it's 
own hdd, by swapping out the HDD in a cradle.

All drives had been used as the main drive.

The former Linux drive is the newest (still IDE) drive and hence the 
largest.

The box is my 2nd. newest and I want to set it up for guests and wife.

But I also want an OS/2 system available so as the disk was so large I 
would use it as a boot managed drive
with Win98 as the default OS.

AS I said, the install works up to the boot from hdd stage.
The drive was partitioned and OS/2 installed.

I can use the CD to get the control centre running and use the editor to 
edit config.sys.

It seems to me that the kernel is ok, disk access is ok, otherwise I 
would not be able to get to and use the control centre.

Well I think I'm still working on the virtual disk in memory at that stage.

But I must have disk access to open, read and edit files.

It is also needed to write and delete files which I have also done on 
this system.

Regards

Dennis.

Ed Durrant wrote:
> Dennis Nolan wrote:
>> Hi
>>
>> I need help
>>
>> I have a system which I want to upgrade the hdd on.
>>
>> I have a hdd in a cradle running ecs 1.2.
>>
>> I want to install ecs 1.2 onto a boot managed 160 GBhdd.
>>
>> The system installs up to where it want to reboot to the hard disk
>>
>> It stops dead with a continual beep and a message saying it can't 
>> access the hard disk or the floppy.
>>
>> The only response available is to power off.
>>
>> I've obtained and installed the latest Danni drivers.
>>
>> The IBMFLPY1.ADD is the save as is on the working drive.
>>
>> I suspect that I am doing something stupid, but I can't think of what.
>>
>> Regards
>>
>> Dennis.
>>
>> --------------------------------------------------
>> 
>> http://www./melbpc/  -  The Melbourne OS/2 SIG
>===
>>
> Is the new disk still a PATA drive and not a SATA drive ?  In which 
> case have you got the master/slave jumper set correctly?
>
> Have you removed the old drive or is this drive in addition to the old 
> drive. There can be hardware compatibility problems with devices on 
> the same EIDE cable - either HDD to HDD or Optical drive to HDD. make 
> sure npone are set to CS (cable select), specificcally set the drive 
> to either master or slave and make sure you don't have two masters or 
> two slaves on one cable.  Make sure the BIOS recognises and accepts 
> the new drive.
>
> If the new drive is a SATA drive and you are connecting it via a PCI 
> adapter card, make sure you don't have an IRQ conflict.
>
> Cheers/2
>
> Ed.
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Mon, 16 Mar 2009 07:01:40 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Installing ECS 1.2 on a 160Gb Hdd.

Dennis Nolan wrote:
> Hi
> Previously I used the computer for OS/2,  Win98 and Linux, each on 
> it's own hdd, by swapping out the HDD in a cradle.
>
> All drives had been used as the main drive.
>
> The former Linux drive is the newest (still IDE) drive and hence the 
> largest.
>
> The box is my 2nd. newest and I want to set it up for guests and wife.
>
> But I also want an OS/2 system available so as the disk was so large I 
> would use it as a boot managed drive
> with Win98 as the default OS.
>
> AS I said, the install works up to the boot from hdd stage.
> The drive was partitioned and OS/2 installed.
>
> I can use the CD to get the control centre running and use the editor 
> to edit config.sys.
>
> It seems to me that the kernel is ok, disk access is ok, otherwise I 
> would not be able to get to and use the control centre.
>
> Well I think I'm still working on the virtual disk in memory at that 
> stage.
>
> But I must have disk access to open, read and edit files.
>
> It is also needed to write and delete files which I have also done on 
> this system.
>
> Regards
>
> Dennis.
Denis,

Is that eCS installed into a primary or a logical volume - what volume 
letter did you install to - not C: I hope? At what stage did you install 
IBM BM?

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Mon, 16 Mar 2009 08:56:25 +1100
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:  Re:  Installing ECS 1.2 on a 160Gb Hdd.

Mike O'Connor wrote:
> Dennis Nolan wrote:
>> Hi
>> Previously I used the computer for OS/2,  Win98 and Linux, each on 
>> it's own hdd, by swapping out the HDD in a cradle.
>>
>> All drives had been used as the main drive.
>>
>> The former Linux drive is the newest (still IDE) drive and hence the 
>> largest.
>>
>> The box is my 2nd. newest and I want to set it up for guests and wife.
>>
>> But I also want an OS/2 system available so as the disk was so large 
>> I would use it as a boot managed drive
>> with Win98 as the default OS.
>>
>> AS I said, the install works up to the boot from hdd stage.
>> The drive was partitioned and OS/2 installed.
>>
>> I can use the CD to get the control centre running and use the editor 
>> to edit config.sys.
>>
>> It seems to me that the kernel is ok, disk access is ok, otherwise I 
>> would not be able to get to and use the control centre.
>>
>> Well I think I'm still working on the virtual disk in memory at that 
>> stage.
>>
>> But I must have disk access to open, read and edit files.
>>
>> It is also needed to write and delete files which I have also done on 
>> this system.
>>
>> Regards
>>
>> Dennis.
> Denis,
>
> Is that eCS installed into a primary or a logical volume - what volume 
> letter did you install to - not C: I hope? At what stage did you 
> install IBM BM?
>
> Regards,
> Mike
>
It is a primary drive, drive letter D

The disk geometry is

Boot manager
C:   Primary    Empty    going to be for Win98.  I can see it in the 
control center.
D:   Primary    ECS      Installed
       Logical     All logical partitions are empty

Boot manager works and ECS tries to load, but as I said earlier it comes 
to a thundering halt.

Regards

Dennis.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Mon, 16 Mar 2009 08:14:58 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Installing ECS 1.2 on a 160Gb Hdd.

Dennis Nolan wrote:
>
>
> Mike O'Connor wrote:
>> Dennis Nolan wrote:
>>> Hi
>>> Previously I used the computer for OS/2,  Win98 and Linux, each on 
>>> it's own hdd, by swapping out the HDD in a cradle.
>>>
>>> All drives had been used as the main drive.
>>>
>>> The former Linux drive is the newest (still IDE) drive and hence the 
>>> largest.
>>>
>>> The box is my 2nd. newest and I want to set it up for guests and wife.
>>>
>>> But I also want an OS/2 system available so as the disk was so large 
>>> I would use it as a boot managed drive
>>> with Win98 as the default OS.
>>>
>>> AS I said, the install works up to the boot from hdd stage.
>>> The drive was partitioned and OS/2 installed.
>>>
>>> I can use the CD to get the control centre running and use the 
>>> editor to edit config.sys.
>>>
>>> It seems to me that the kernel is ok, disk access is ok, otherwise I 
>>> would not be able to get to and use the control centre.
>>>
>>> Well I think I'm still working on the virtual disk in memory at that 
>>> stage.
>>>
>>> But I must have disk access to open, read and edit files.
>>>
>>> It is also needed to write and delete files which I have also done 
>>> on this system.
>>>
>>> Regards
>>>
>>> Dennis.
>> Denis,
>>
>> Is that eCS installed into a primary or a logical volume - what 
>> volume letter did you install to - not C: I hope? At what stage did 
>> you install IBM BM?
>>
>> Regards,
>> Mike
>>
> It is a primary drive, drive letter D
>
> The disk geometry is
>
> Boot manager
> C:   Primary    Empty    going to be for Win98.  I can see it in the 
> control center.
> D:   Primary    ECS      Installed
>       Logical     All logical partitions are empty
>
> Boot manager works and ECS tries to load, but as I said earlier it 
> comes to a thundering halt.
>
> Regards
>
> Dennis.
I assume you also rewrote the MBR on that disk in addition to 
partitioning it?
Did you use the floppy labelled BOOT_UPDATE to automatically install and 
update the DANIS506.ADD (1.8.5) and DANIATAP.FLT (0.4)? The files get 
read into the RAMDISK as soon as one selects the CD (installation) 
option, i.e. before you actually select which of the CD-installation 
options, in case you weren't aware of that, in view of where you said:
"The IBMFLPY1.ADD is the save as is on the working drive"

That continual beep is worrying!

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Mon, 16 Mar 2009 20:13:20 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?)

>Hi Peter,
>
>  The successor to Vista is better (it couldn't really be worse). 
>Windows 7, has a lot of the stuff taken out of Vista, that should never 
>have been there. MS are trying to modularise their code so that only the 
>required code is installed and loaded not everything whether it's needed 
>or not.

Oh, you mean like OS/2 had in 1992!

>  On Chris's question about transferring a live system from Physical to 
>Virtual, there used to be a utility to do this for VPC/2, but in any 
>case, since an OS/2 install can simply be zipped up or xcopied, there is 
>a straight forward method. Set up a new VM, enable shared folders or  
>have your zipped copy of the working system on a network drive. Boot the 
>VM from a bootable OS/2 maintenance CD. Create the volumes as required 
>withing the Virtual machine and give it the same drive letter as the 
>existing "real" system and then unzip the files from the store. You may 
>also need to run Sysinstx but normally this is not required. Shutdown 
>the Virtual machine, change the boot device to be the Virtual hard disk 
>and restart it.

So is it just a matter of creating a VM and then installing into it?

That way, I should be able to create a VM, boot the Fastback/2 recovery
Floppies, and restore a tape or file backup into it and reboot?

How much tweaking of config.sys needs to be done?

For example, both machines are raid 5 configured.

But they will be running on a box where raid 5 is provided by the
underlying hardware, so there is no reason to configure each VM as a raid 5
set.

I guess I'm asking about how much virtualisation/tweaking needs to be done
to talk to/work with the underlying hardware?

I assume that I'll have to change the OS/2 network drivers to match the
real underlying ones.

Ditto for the video/sound (if supported).

So I define fixed size partitions in the VM that map to single files on the
host OS, so if I wanted to share files (these are WSeB servers afterall) it
would best to simply let them map to a share/network drive of the host OS
(thus making the host os drives look like network drives to the VM's)?

Sorry for all of the newbie type questions, but I've never played with VM
partitions before.

I have quite a few IP aliases on each OS/2 host (VM).

Are they supported, or do I have to define them in the underlying host?

>By the way, one restriction of Virtual Box OSE (i.e. the free version), 
>whether on a OS/2 or Windoze host is that ONLY one virtual machine can 
>be run at a time. Multiple can run with VPC (and I believe the 
>commercial version of VB - Sun xVM).

Ouch! And I was just about to say we appear to have a winner.

So how much does it cost?

I'll probably go with XP as the host (assuming that it is still usable with
two other VM's in place) and with two OS/2 VMs.

Possible a third XP VM as a play thing.

Unless someone can say why this is not a good idea.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Mon, 16 Mar 2009 22:25:17 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Virtualisation engines (Was: SMP Kernel Version to Support > 512 (or 1G)?)

Chris Graham [WarpSpeed] wrote:
>> Hi Peter,
>>
>>  The successor to Vista is better (it couldn't really be worse). 
>> Windows 7, has a lot of the stuff taken out of Vista, that should never 
>> have been there. MS are trying to modularise their code so that only the 
>> required code is installed and loaded not everything whether it's needed 
>> or not.
>>     
>
> Oh, you mean like OS/2 had in 1992!
>   
Yes, it's taken MS a while .....
>   
>>  On Chris's question about transferring a live system from Physical to 
>> Virtual, there used to be a utility to do this for VPC/2, but in any 
>> case, since an OS/2 install can simply be zipped up or xcopied, there is 
>> a straight forward method. Set up a new VM, enable shared folders or  
>> have your zipped copy of the working system on a network drive. Boot the 
>> VM from a bootable OS/2 maintenance CD. Create the volumes as required 
>> withing the Virtual machine and give it the same drive letter as the 
>> existing "real" system and then unzip the files from the store. You may 
>> also need to run Sysinstx but normally this is not required. Shutdown 
>> the Virtual machine, change the boot device to be the Virtual hard disk 
>> and restart it.
>>     
>
> So is it just a matter of creating a VM and then installing into it?
>
>   
Yes.
> That way, I should be able to create a VM, boot the Fastback/2 recovery
> Floppies, and restore a tape or file backup into it and reboot?
>
>   
Well, except you can't see the tape drive from the Virtual machine and 
there's a current bug that stops it seeing the actual floppy drive as 
well, so you need to create a floppy image of the floppy disk and mount 
that (or them, in turn).
> How much tweaking of config.sys needs to be done?
>
>   
Being in a virtual system the actual hardware (apart from the processor) 
is not seen virtual (simple) hardware is seen - e,g, it will always 
think it has an EIDE harddisk, even if the data actually lies in a 
container file on a disk in a RAID array or on a SAN or a SATA drive or 
...... You'll need to check the Virtualisation program you are using to 
know what hardware is "emulated" and hence what drivers you will need to 
supply. The host, lets say it's Linux in this case, has to fully support 
whatever physical hardware you are running on. The OS image has a very 
limited set of hardware that it has to support. This is why you can run 
OS/2 or eCS in a virtual machine on hardware for which there is no OS/2 
support.
> For example, both machines are raid 5 configured.
>
> But they will be running on a box where raid 5 is provided by the
> underlying hardware, so there is no reason to configure each VM as a raid 5
> set.
>
>   
Correct - your image will need Dani's or IBM drivers for EIDE, NIC 
drivers for the emulated NIC, often the old AMD RTL or Intel Pro models, 
SVGA graphics (VESA) and if you're lucky Sound Blaster sound. On the 
very latest, commercial products, you may also need USB drivers to 
pass-through to the USB ports on the actual hardware. Often parrallel 
port printing is also supported, otherwise you are looking at LPD.
> I guess I'm asking about how much virtualisation/tweaking needs to be done
> to talk to/work with the underlying hardware?
>
>   
Once the hosting OS works with the hardware it is installed on, no 
special configuration related to that specific hardware is needed. As 
the emulated hardware in the VM is standard, this also means that a VM 
image created on one piece of hardware - say a desktop PC can 
immediately be copied to the same VM program on a laptop or a server and 
the VM runs without any changes.
> I assume that I'll have to change the OS/2 network drivers to match the
> real underlying ones.
>
> Ditto for the video/sound (if supported).
>
> So I define fixed size partitions in the VM that map to single files on the
> host OS, so if I wanted to share files (these are WSeB servers afterall) it
> would best to simply let them map to a share/network drive of the host OS
> (thus making the host os drives look like network drives to the VM's)?
>
>   
You must remember that what looks like a real harddisk within the VM is 
actually just a single container file in the host OS. The contents of 
that container file cannot simply be accessed from the host OS. There 
can be an option in the VM program to allow a directory on the host 
system to appear as another drive within the VM. This is effectively the 
same as sharing the directory to the network and mapping to it. In fact 
on some VM programs that's what you have to do.

Depending upon the VM program in use, the VM can use the same IP address 
as the host, or another one in the same range (i.e. on the same 
network), or there is a NAT capability built into the VM Engine (just 
like a router), so that the IP address used within the VM is different 
to the one being used by the host.

Where multiple VMs are running concurrently on the same system, they can 
communicate between each other at light speed using the virtual LAN.
> Sorry for all of the newbie type questions, but I've never played with VM
> partitions before.
>
> I have quite a few IP aliases on each OS/2 host (VM).
>
> Are they supported, or do I have to define them in the underlying host?
>
>   
>> By the way, one restriction of Virtual Box OSE (i.e. the free version), 
>> whether on a OS/2 or Windoze host is that ONLY one virtual machine can 
>> be run at a time. Multiple can run with VPC (and I believe the 
>> commercial version of VB - Sun xVM).
>>     
>
> Ouch! And I was just about to say we appear to have a winner.
>
> So how much does it cost?
>   
The commercial version is only for SUN Unix, Linux and Windoze (not OS/2 
Host) - you'll need to check the price on the SUN website - I would 
expect something around $200 - $300.
> I'll probably go with XP as the host (assuming that it is still usable with
> two other VM's in place) and with two OS/2 VMs.
>
>   
To start with, if you are going for a windows Host, download Virtual PC 
2007 from Microsoft - it's free and supports OS/2 as a guest. You can 
run multiple VMs under VPC. There is also Virtual Server, which I think 
is also free (please check), this is designed to run remotely on a 
server. You may want to look at this as well, but VPC is the one I would 
recommend you start with. Once you are happy with that you could switch 
to Virtual Box (there are conversion programs for the container files). 
Another point a VM container file created under say Virtual PC/2 (sorry 
it's no longer purchasable) will run unchanged under Virtual PC/Win. I 
believe there is also a Virtual PC/MAC but there is no VPC/Linux.
> Possible a third XP VM as a play thing.
>
> Unless someone can say why this is not a good idea.
>
>
> -Chris
>
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9395-1504   Internet:   chrisg at warpspeed dot com dot au
> FAX:    +61-3-9395-7633   Web Page:   http://www.warpspeed dot com dot au
> Postal: WarpSpeed Computers, PO Box 4293, Hoppers Crossing DC, VIC 3029, AUSTRALIA
>
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
>   

Cheers/2

Ed.
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===